## freetype 2.5.2

=== CMakeLists.txt ===
# CMakeLists.txt
#
# Copyright 2013 by
# David Turner, Robert Wilhelm, and Werner Lemberg.
#
# Written by John Cary <cary@txcorp.com>
#
# This file is part of the FreeType project, and may only be used, modified,
# and distributed under the terms of the FreeType project license,
# LICENSE.TXT.  By continuing to use, modify, or distribute this file you
# indicate that you have read the license and understand and accept it
# fully.
#
#
# Say
#
#   cmake CMakeLists.txt
#
# to create a Makefile that builds a static version of the library.  For a
# dynamic library, use
#
#   cmake CMakeLists.txt -DBUILD_SHARED_LIBS:BOOL=true
#
# instead.  Please refer to the cmake manual for further options, in
# particular, how to modify compilation and linking parameters.
#
# Some notes.
#
# . `cmake' will overwrite FreeType's original (top-level) `Makefile' file.
#
# . You can use `cmake' directly on a freshly cloned FreeType git
#   repository.
#
# . `CMakeLists.txt'  is provided as-is since it is not used by the
#   developer team.


cmake_minimum_required(VERSION 2.6)

project(freetype)

set(VERSION_MAJOR "2")
set(VERSION_MINOR "5")
set(VERSION_PATCH "2")
set(PROJECT_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

# Compiler definitions for building the library
add_definitions(-DFT2_BUILD_LIBRARY)

# Specify library include directories
include_directories("${PROJECT_SOURCE_DIR}/include")

# Create the configuration file
message(STATUS "Creating directory, ${PROJECT_BINARY_DIR}/include.")
file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/include)

# For the auto-generated ftconfig.h file
include_directories("${PROJECT_BINARY_DIR}/include")
message(STATUS "Creating ${PROJECT_BINARY_DIR}/include/ftconfig.h.")
execute_process(
  COMMAND sed -e "s/FT_CONFIG_OPTIONS_H/<ftoption.h>/" -e "s/FT_CONFIG_STANDARD_LIBRARY_H/<ftstdlib.h>/" -e "s?/undef ?#undef ?"
  INPUT_FILE ${PROJECT_SOURCE_DIR}/builds/unix/ftconfig.in
  OUTPUT_FILE ${PROJECT_BINARY_DIR}/include/ftconfig.h
)

set(BASE_SRCS
  src/autofit/autofit.c
  src/base/ftadvanc.c
  src/base/ftbbox.c
  src/base/ftbitmap.c
  src/base/ftcalc.c
  src/base/ftcid.c
  src/base/ftdbgmem.c
  src/base/ftdebug.c
  src/base/ftfstype.c
  src/base/ftgasp.c
  src/base/ftgloadr.c
  src/base/ftglyph.c
  src/base/ftgxval.c
  src/base/ftinit.c
  src/base/ftlcdfil.c
  src/base/ftmm.c
  src/base/ftobjs.c
  src/base/ftotval.c
  src/base/ftoutln.c
  src/base/ftpatent.c
  src/base/ftpfr.c
  src/base/ftrfork.c
  src/base/ftsnames.c
  src/base/ftstream.c
  src/base/ftstroke.c
  src/base/ftsynth.c
  src/base/ftsystem.c
  src/base/fttrigon.c
  src/base/fttype1.c
  src/base/ftutil.c
  src/base/ftwinfnt.c
  src/base/ftxf86.c
  src/bdf/bdf.c
  src/bzip2/ftbzip2.c
  src/cache/ftcache.c
  src/cff/cff.c
  src/cid/type1cid.c
  src/gzip/ftgzip.c
  src/lzw/ftlzw.c
  src/pcf/pcf.c
  src/pfr/pfr.c
  src/psaux/psaux.c
  src/pshinter/pshinter.c
  src/psnames/psmodule.c
  src/raster/raster.c
  src/sfnt/sfnt.c
  src/smooth/smooth.c
  src/truetype/truetype.c
  src/type1/type1.c
  src/type42/type42.c
  src/winfonts/winfnt.c
)

include_directories("src/truetype")
include_directories("src/sfnt")
include_directories("src/autofit")
include_directories("src/smooth")
include_directories("src/raster")
include_directories("src/psaux")
include_directories("src/psnames")

add_library(freetype ${BASE_SRCS})

# Installations
# Note the trailing slash in the argument to the `DIRECTORY' directive
install(DIRECTORY ${PROJECT_SOURCE_DIR}/include/
  DESTINATION include/freetype2
  PATTERN "internal" EXCLUDE
)
install(TARGETS freetype
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

# Packaging
# CPack version numbers for release tarball name.
set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH}})
if (NOT DEFINED CPACK_PACKAGE_DESCRIPTION_SUMMARY)
  set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "${CMAKE_PROJECT_NAME}")
endif ()
if (NOT DEFINED CPACK_SOURCE_PACKAGE_FILE_NAME)
  set(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${PROJECT_VERSION}-r${PROJECT_REV}"
    CACHE INTERNAL "tarball basename"
  )
endif ()
set(CPACK_SOURCE_GENERATOR TGZ)
set(CPACK_SOURCE_IGNORE_FILES
  "/CVS/;/.svn/;.swp$;.#;/#;/build/;/serial/;/ser/;/parallel/;/par/;~;/preconfig.out;/autom4te.cache/;/.config")
set(CPACK_GENERATOR TGZ)
include(CPack)

# add make dist target
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

# eof

## freetype 2.5.2-29~1

=== debian/changelog ===
freetype (2.5.2-29~1-sid+1) unstable; urgency=low

  * Nightly build.

 -- Keith Packard <keithp@keithp.com>  Fri, 15 May 2015 21:34:48 -0400

freetype (2.5.2-3) unstable; urgency=medium

  * Fix Savannah bug #43535. CVE-2014-9675
  * [bdf] Fix Savannah bug #41692. CVE-2014-9675-fixup-1
  * src/base/ftobj.c (Mac_Read_POST_Resource): Additional overflow check
    in the summation of POST fragment lengths. CVE-2014-0674-part-2
  * src/base/ftobjs.c (Mac_Read_POST_Resource): Insert comments and fold
    too long tracing messages. CVS-2014-9674-fixup-2
  * src/base/ftobjs.c (Mac_Read_POST_Resource): Use unsigned long variables to read the lengths in POST fragments. CVE-2014-9674-fixup-1
  * Fix Savannah bug #43538. CVE-2014-9674-part-1
  * Fix Savannah bug #43539. CVE-2014-9673
  * src/base/ftobjs.c (Mac_Read_POST_Resource): Avoid memory leak by
    a broken POST table in resource-fork. CVE-2014-9673-fixup
  * Fix Savannah bug #43540. CVE-2014-9672
  * Fix Savannah bug #43547. CVE-2014-9671
  * Fix Savannah bug #43548. CVE-2014-9670
  * [sfnt] Fix Savannah bug #43588. CVE-2014-9669
  * [sfnt] Fix Savannah bug #43589. CVE-2014-9668
  * [sfnt] Fix Savannah bug #43590. CVE-2014-9667
  * [sfnt] Fix Savannah bug #43591. CVE-2014-9666
  * Change some fields in `FT_Bitmap' to unsigned type. CVE-2014-9665
  * Fix uninitialized variable warning. CVE-2014-9665-fixup-2
  * Make `FT_Bitmap_Convert' correctly handle negative `pitch' values.
    CVE-2014-9665-fixup
  * [type1, type42] Fix Savannah bug #43655. CVE-2014-9664
  * [sfnt] Fix Savannah bug #43656. CVE-2014-9663
  * [cff] Fix Savannah bug #43658. CVE-2014-9662
  * [type42] Allow only embedded TrueType fonts. CVE-2014-9661
  * [bdf] Fix Savannah bug #43660. CVE-2014-9660
  * [cff] Fix Savannah bug #43661. CVE-2014-9659
  * [sfnt] Fix Savannah bug #43672. CVE-2014-9658
  * [truetype] Fix Savannah bug #43679. CVE-2014-9657
  * [sfnt] Fix Savannah bug #43680. CVE-2014-9656
  * All CVEs patched. Closes: #777656.

 -- Keith Packard <keithp@keithp.com>  Mon, 23 Feb 2015 22:04:36 -0800

freetype (2.5.2-2) unstable; urgency=medium

  * Acknowledge security NMU; thanks to Michael Gilbert.
  * Standards-Version 3.9.6.
  * Bump debhelper build-dependency to 9.
  * debian/patches/enable-old-cff.patch: disable the new CFF hinter from
    Adobe, working around wrong hinting with some toolkits on Linux.  Thanks
    to Samat K Jain <samat@samat.org> for preparing the patch.
    Closes: #730742.
  * debian/patches-freetype/0001-Fix-Savannah-bug-40997.patch: Cherry-pick
    upstream patch to fix a double free.  Closes: #747002, LP: #1310728.
  * debian/patches-freetype/0002-Fix-Savannah-bug-42418.patch: Cherry-pick
    upstream patch to fix cjk font rendering issue.  LP: #1310017.
  * debian/patches-freetype/verbose-libtool.patch: don't let libtool
    suppress compiler output.
  * debian/patches-freetype/no-uninitialized-bbox.patch: ensure that our
    variable is reliably initialized before use, fixing a build failure on
    ppc64el when building with -O3.

 -- Steve Langasek <vorlon@debian.org>  Fri, 19 Sep 2014 06:27:10 +0000

freetype (2.5.2-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix two security issues in the CFF rasterizer (closes: #741299)
    - CVE-2014-2240: out-of-bounds read/write in cf2hints.c.
    - CVE-2014-2241: denial-of-service in cf2ft.c.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 28 Jul 2014 02:56:08 +0000

freetype (2.5.2-1) unstable; urgency=low

  * New upstream release
    - fixes a crasher bug with certain fonts.  Closes: #733052.
    - drop of additional symbols which were previously exported but are only
      meant for debugging and upstream recommends not enabling them when
      building in "release mode".  If this impacts users of freetype, we can
      re-enable these symbols later.
  * Call autogen.sh on build to refresh autotools; not using dh-autoreconf
    because the upstream directory structure is non-standard and it's a
    throw-away dir, so there's no advantage to dh-autoreconf's rollback
    support.
  * Fix symbols file with respect to more complete version info found in
    Ubuntu.
  * Drop debian/patches-ft2demos/compiler-warning-fixes.patch, which is
    actually a bug in the compiler_hardening_fixes.patch; fix it there
    instead.
  * Fix libpng detection when cross-building.

 -- Steve Langasek <vorlon@debian.org>  Wed, 25 Dec 2013 09:06:22 +0000

freetype (2.5.1-2) unstable; urgency=low

  * Drop unnecessary GPLv2.txt from libfreetype6-dev.
  * Add missing dependency on libpng-dev to libfreetype6-dev.
    Closes: #732062.

 -- Steve Langasek <vorlon@debian.org>  Tue, 17 Dec 2013 20:04:17 -0800

freetype (2.5.1-1) unstable; urgency=low

  * New upstream release.  Closes: #717952, #729231.
    - Add build-dependency on libpng-dev.
    - Dropped patches, included upstream: savannah-bug-35847.patch,
      savannah-bug-35833.patch, savannah-bug-37905.patch,
      savannah-bug-37906.patch, savannah-bug-37907.patch
    - Internal symbols have been dropped in this version.  No soname change
      because the symbols are not supposed to be used, but past experience
      suggests that this may break some third-party software anyway.
  * compiler_hardening_fixes.patch: fix wrong snprintf() calls in ttdebug.c
    that cause an overflow 100% of the time.
  * debian/patches-ft2demos/compiler-warning-fixes.patch: Fix a wrong
    cast that triggers a compiler warning.
  * debian/patches-ft2demos/revert-wrong-extern.patch: revert wrong
    upstream commit that causes a build failure.

 -- Steve Langasek <vorlon@debian.org>  Thu, 28 Nov 2013 07:05:47 +0000

## freetype 2.6.1

=== Makefile ===
all: exes


####################################################################
#
# The `space' variable is used to avoid trailing spaces in defining
# the `T' variable later.
#
empty :=
space := $(empty) $(empty)


####################################################################
#
# TOP_DIR is the directory where the main FreeType source is found,
# as well as the `config.mk' file.
#
# TOP_DIR_2 is the directory is the top of the demonstration
# programs directory.
#
# OBJ_DIR gives the objects directory of the FreeType library.
#
TOP_DIR   ?= ../freetype2
TOP_DIR_2 ?= .
OBJ_DIR   ?= $(TOP_DIR)/objs


######################################################################
#
# CONFIG_MK points to the current `config.mk' to use.  It is defined
# by default as $(TOP_DIR)/config.mk.
#
ifndef CONFIG_MK
  PROJECT   := freetype
  CONFIG_MK := $(TOP_DIR)/config.mk
endif


######################################################################
#
# MODULES_CFG points to the current `modules.cfg' to use.  It is defined
# by default as $(TOP_DIR)/modules.cfg.
#
MODULES_CFG ?= $(TOP_DIR)/modules.cfg

ifeq ($(wildcard $(MODULES_CFG)),)
  no_modules_cfg := 1
endif


####################################################################
#
# Check that we have a working `config.mk' in the above directory.
# If not, issue a warning message, then stop there.
#
ifeq ($(wildcard $(CONFIG_MK)),)
  no_config_mk := 1
endif

ifdef no_config_mk

  exes:
	  @echo Please compile the library before the demo programs!
  clean distclean:
	  @echo "I need a path to FreeType 2's \`config.mk' to do that!"
	  @echo "Set the \`TOP_DIR' variable to the correct value."

else

  ####################################################################
  #
  # Good, now include `config.mk' in order to know how to build
  # object files from sources, as well as other things (compiler
  # flags).
  #
  include $(CONFIG_MK)

  ifndef no_modules_cfg
    include $(MODULES_CFG)
  endif

  have_makefile := $(strip $(wildcard Makefile))

  ifeq ($(PLATFORM),unix)
    ifdef DEVEL_DIR
      PLATFORM := unixdev
    endif
  endif


  ####################################################################
  #
  # Define a few important variables now.
  #
  ifeq ($(PLATFORM),unix)
    # without absolute paths libtool fails
    TOP_DIR   := $(shell cd $(TOP_DIR); pwd)
    TOP_DIR_2 := $(shell cd $(TOP_DIR_2); pwd)
    ifneq ($(have_makefile),)
      BIN_DIR_2 ?= $(TOP_DIR_2)/bin
      OBJ_DIR_2 ?= $(TOP_DIR_2)/obj
    else
      BIN_DIR_2 ?= .
      OBJ_DIR_2 ?= .
    endif
  else
    ifneq ($(have_makefile),)
      BIN_DIR_2 ?= bin
      OBJ_DIR_2 ?= obj
    else
      BIN_DIR_2 ?= .
      OBJ_DIR_2 ?= .
    endif
  endif

  GRAPH_DIR := $(TOP_DIR_2)/graph

  ifeq ($(TOP_DIR),..)
    SRC_DIR := src
  else
    SRC_DIR := $(TOP_DIR_2)/src
  endif

  FT_INCLUDES := $(OBJ_BUILD) \
                 $(BUILD_DIR) \
                 $(DEVEL_DIR) \
                 $(TOP_DIR)/include \
                 $(SRC_DIR)

  COMPILE = $(CC) $(CPPFLAGS) \
                  $(CFLAGS) \
                  $(INCLUDES:%=$I%) \
                  $DFT_CONFIG_MODULES_H="<ftmodule.h>"

  FTLIB := $(LIB_DIR)/$(LIBRARY).$A

  # `-lm' is required to compile on some Unix systems.
  #
  ifeq ($(PLATFORM),unix)
    MATH := -lm
  endif

  ifeq ($(PLATFORM),unixdev)
    MATH := -lm
  endif

  # The default variables used to link the executables.  These can
  # be redefined for platform-specific stuff.
  #
  # The first token of LINK_ITEMS must be the executable.
  #
  LINK_ITEMS = $T$(subst /,$(COMPILER_SEP),$@ $<)

  ifeq ($(PLATFORM),unix)
    CC        = $(CCraw)
    LINK_CMD  = $(subst /,$(SEP),$(OBJ_BUILD)/libtool) \
                --mode=link $(CC) \
                $(subst /,$(COMPILER_SEP),$(LDFLAGS))
    LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE))
  else
    LINK_CMD = $(CC) $(subst /,$(COMPILER_SEP),$(LDFLAGS))
    ifeq ($(PLATFORM),unixdev)
      LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE)) -lm -lz -lbz2
      LINK_LIBS += $(shell pkg-config --libs libpng harfbuzz)
    else
      LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE))
    endif
  endif

  LINK        = $(LINK_CMD) \
                $(LINK_ITEMS) \
                $(LINK_LIBS)
  LINK_COMMON = $(LINK_CMD) \
                $(LINK_ITEMS) $(subst /,$(COMPILER_SEP),$(COMMON_OBJ)) \
                $(LINK_LIBS)
  LINK_GRAPH  = $(LINK_COMMON) $(subst /,$(COMPILER_SEP),$(GRAPH_LIB)) \
                $(GRAPH_LINK) $(MATH)
  LINK_NEW    = $(LINK_CMD) \
                $(LINK_ITEMS) $(subst /,$(COMPILER_SEP),$(COMMON_OBJ) \
                                        $(FTCOMMON_OBJ)) \
                $(LINK_LIBS) $(subst /,$(COMPILER_SEP),$(GRAPH_LIB)) \
                $(GRAPH_LINK) $(MATH)

  .PHONY: exes clean distclean


  ###################################################################
  #
  # Include the rules needed to compile the graphics sub-system.
  # This will also select which graphics driver to compile to the
  # sub-system.
  #
  include $(GRAPH_DIR)/rules.mk


  ####################################################################
  #
  # Detect DOS-like platforms, currently DOS, Win 3.1, Win32 & OS/2.
  #
  ifneq ($(findstring $(PLATFORM),os2 win16 win32 dos),)
    DOSLIKE := 1
  endif


  ###################################################################
  #
  # Clean-up rules.  Because the `del' command on DOS-like platforms
  # cannot take a long list of arguments, we simply erase the directory
  # contents.
  #
  ifdef DOSLIKE

    clean_demo:
	    -del obj\*.$(SO) 2> nul
	    -del $(subst /,\,$(TOP_DIR_2)/src/*.bak) 2> nul

    distclean_demo: clean_demo
	    -del obj\*.lib 2> nul
	    -del bin\*.exe 2> nul

  else

    clean_demo:
	    -$(DELETE) $(subst /,$(SEP),$(OBJ_DIR_2)/*.$(SO) $(OBJ_DIR_2)/*.$(O))
	    -$(DELETE) $(subst /,$(SEP),$(OBJ_DIR_2)/*.$(SA) $(OBJ_DIR_2)/*.$(A))
	    -$(DELETE) $(subst /,$(SEP),$(OBJ_DIR_2)/.libs/*)
	    -$(DELETE) $(subst /,$(SEP),$(SRC_DIR)/*.bak graph/*.bak)
	    -$(DELETE) $(subst /,$(SEP),$(SRC_DIR)/*~ graph/*~)

    distclean_demo: clean_demo
	    -$(DELETE) $(subst /,$(SEP),$(EXES:%=$(BIN_DIR_2)/%$E))
	    -$(DELETE) $(subst /,$(SEP),$(GRAPH_LIB))
    ifeq ($(PLATFORM),unix)
	      -$(DELETE) $(BIN_DIR_2)/.libs/*
	      -$(DELDIR) $(BIN_DIR_2)/.libs
    endif

  endif

  clean:     clean_demo
  distclean: distclean_demo


  ####################################################################
  #
  # Compute the executable suffix to use, and put it in `E'.
  # It is ".exe" on DOS-ish platforms, and nothing otherwise.
  #
  ifdef DOSLIKE
    E := .exe
  else
    E :=
  endif


  ####################################################################
  #
  # POSIX TERMIOS: Do not define if you use OLD U*ix like 4.2BSD.
  #
  ifeq ($(PLATFORM),unix)
    EXTRAFLAGS = $DUNIX $DHAVE_POSIX_TERMIOS
  endif

  ifeq ($(PLATFORM),unixdev)
    EXTRAFLAGS = $DUNIX $DHAVE_POSIX_TERMIOS
  endif


  ###################################################################
  #
  # The list of demonstration programs to build.
  #
  # Note that ttdebug only works if the FreeType's `truetype' driver has
  # been compiled with TT_CONFIG_OPTION_BYTECODE_INTERPRETER defined.
  #
  EXES := ftbench \
          ftdump  \
          ftlint  \
          ttdebug

  # Comment out the next line if you don't have a graphics subsystem.
  EXES += ftdiff   \
          ftgamma  \
          ftgrid   \
          ftmulti  \
          ftstring \
          ftview

  # ftvalid requires ftgxval.c and ftotval.c
  #
  ifneq ($(findstring ftgxval.c,$(BASE_EXTENSIONS)),)
    ifneq ($(findstring ftotval.c,$(BASE_EXTENSIONS)),)
      EXES += ftvalid
    endif
  endif

  # The following programs are not compiled automatically; either comment
  # out the affected line or use the program name as a Makefile target.
  #
  # EXES += ftchkwd
  # EXES += ftmemchk
  # EXES += ftpatchk
  # EXES += fttimer
  # EXES += testname

  exes: $(EXES:%=$(BIN_DIR_2)/%$E)


  INCLUDES := $(subst /,$(COMPILER_SEP),$(FT_INCLUDES))


  # generic rule
  $(OBJ_DIR_2)/%.$(SO): $(SRC_DIR)/%.c $(FTLIB)
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)


  ####################################################################
  #
  # Rules for compiling object files for text-only demos.
  #
  $(OBJ_DIR_2)/common.$(SO): $(SRC_DIR)/common.c
  $(OBJ_DIR_2)/aux.$(SO): $(SRC_DIR)/aux.c
  COMMON_OBJ := $(OBJ_DIR_2)/common.$(SO) \
                $(OBJ_DIR_2)/aux.$(SO)


  FTCOMMON_OBJ := $(OBJ_DIR_2)/ftcommon.$(SO)
  $(FTCOMMON_OBJ): $(SRC_DIR)/ftcommon.c $(SRC_DIR)/ftcommon.h
	  $(COMPILE) $(GRAPH_INCLUDES:%=$I%) \
                     $T$(subst /,$(COMPILER_SEP),$@ $<)


  $(OBJ_DIR_2)/ftlint.$(SO): $(SRC_DIR)/ftlint.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)

  $(OBJ_DIR_2)/ftbench.$(SO): $(SRC_DIR)/ftbench.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<) $(EXTRAFLAGS)

  $(OBJ_DIR_2)/ftpatchk.$(SO): $(SRC_DIR)/ftpatchk.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<) $(EXTRAFLAGS)

  $(OBJ_DIR_2)/ftchkwd.$(SO): $(SRC_DIR)/ftchkwd.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<) $(EXTRAFLAGS)

  $(OBJ_DIR_2)/compos.$(SO): $(SRC_DIR)/compos.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)

  $(OBJ_DIR_2)/ftmemchk.$(SO): $(SRC_DIR)/ftmemchk.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)

  $(OBJ_DIR_2)/fttimer.$(SO): $(SRC_DIR)/fttimer.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)

  $(OBJ_DIR_2)/fttry.$(SO): $(SRC_DIR)/fttry.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)

  $(OBJ_DIR_2)/testname.$(SO): $(SRC_DIR)/testname.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)

#  $(OBJ_DIR_2)/ftsbit.$(SO): $(SRC_DIR)/ftsbit.c
#	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)


  # We simplify the dependencies on the graphics library by using
  # $(GRAPH_LIB) directly.

  $(OBJ_DIR_2)/ftgamma.$(SO): $(SRC_DIR)/ftgamma.c \
                              $(SRC_DIR)/ftcommon.h \
                              $(GRAPH_LIB)
	  $(COMPILE) $(GRAPH_INCLUDES:%=$I%) \
                     $T$(subst /,$(COMPILER_SEP),$@ $<)

  $(OBJ_DIR_2)/ftmulti.$(SO): $(SRC_DIR)/ftmulti.c \
                              $(GRAPH_LIB)
	  $(COMPILE) $(GRAPH_INCLUDES:%=$I%) \
                     $T$(subst /,$(COMPILER_SEP),$@ $<)

  $(OBJ_DIR_2)/ftstring.$(SO): $(SRC_DIR)/ftstring.c \
                               $(SRC_DIR)/ftcommon.h \
                               $(GRAPH_LIB)
	  $(COMPILE) $(GRAPH_INCLUDES:%=$I%) \
                     $T$(subst /,$(COMPILER_SEP),$@ $<)


  ####################################################################
  #
  # Special rule to compile the `ftdump' program as it includes
  # internal header files.
  #
  $(OBJ_DIR_2)/ftdump.$(SO): $(SRC_DIR)/ftdump.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<) $DFT2_BUILD_LIBRARY


  ####################################################################
  #
  # Special rule to compile the `t1dump' program as it includes
  # the Type1 source path.
  #
  $(OBJ_DIR_2)/t1dump.$(SO): $(SRC_DIR)/t1dump.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<)


  ####################################################################
  #
  # Special rule to compile the `ftvalid' program as it includes
  # internal header files.
  #
  $(OBJ_DIR_2)/ftvalid.$(SO): $(SRC_DIR)/ftvalid.c
	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<) $DFT2_BUILD_LIBRARY


  ####################################################################
  #
  # Special rule to compile the `ftview' program as it includes
  # internal header files.
  #
  $(OBJ_DIR_2)/ftview.$(SO): $(SRC_DIR)/ftview.c \
                             $(SRC_DIR)/ftcommon.h \
                             $(GRAPH_LIB)
	  $(COMPILE) $(GRAPH_INCLUDES:%=$I%) \
                     $T$(subst /,$(COMPILER_SEP),$@ $<) $DFT2_BUILD_LIBRARY


  ####################################################################
  #
  # Special rule to compile the `ftdiff' program as it includes
  # internal header files.

## freetype 2.8.1

=== Makefile ===
--- 
+++ 
@@ -129,8 +129,18 @@
 
   COMPILE = $(CC) $(CPPFLAGS) \
                   $(CFLAGS) \
+                  $(ANSIFLAGS) \
                   $(INCLUDES:%=$I%) \
                   $DFT_CONFIG_MODULES_H="<ftmodule.h>"
+
+  # Enable C99 for gcc to avoid warnings.
+  # Note that clang++ aborts with an error if we use `-std=C99',
+  # so check for `++' in $(CC) also.
+  ifneq ($(findstring -pedantic,$(COMPILE)),)
+    ifeq ($(findstring ++,$(CC)),)
+      COMPILE += -std=c99
+    endif
+  endif
 
   FTLIB := $(LIB_DIR)/$(LIBRARY).$A
 
@@ -160,7 +170,7 @@
   else
     LINK_CMD = $(CC) $(subst /,$(COMPILER_SEP),$(LDFLAGS))
     ifeq ($(PLATFORM),unixdev)
-      LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE)) -lm -lz -lbz2
+      LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE)) -lm -lrt -lz -lbz2
       LINK_LIBS += $(shell pkg-config --libs libpng harfbuzz)
     else
       LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE))
@@ -319,9 +329,11 @@
   # Rules for compiling object files for text-only demos.
   #
   $(OBJ_DIR_2)/common.$(SO): $(SRC_DIR)/common.c
-  $(OBJ_DIR_2)/aux.$(SO): $(SRC_DIR)/aux.c
+  $(OBJ_DIR_2)/output.$(SO): $(SRC_DIR)/output.c
+  $(OBJ_DIR_2)/mlgetopt.$(SO): $(SRC_DIR)/mlgetopt.c
   COMMON_OBJ := $(OBJ_DIR_2)/common.$(SO) \
-                $(OBJ_DIR_2)/aux.$(SO)
+                $(OBJ_DIR_2)/output.$(SO) \
+                $(OBJ_DIR_2)/mlgetopt.$(SO)
 
 
   FTCOMMON_OBJ := $(OBJ_DIR_2)/ftcommon.$(SO)
@@ -414,14 +426,3 @@
   # Special rule to compile the `ftview' program as it includes
   # internal header files.
   #
-  $(OBJ_DIR_2)/ftview.$(SO): $(SRC_DIR)/ftview.c \
-                             $(SRC_DIR)/ftcommon.h \
-                             $(GRAPH_LIB)
-	  $(COMPILE) $(GRAPH_INCLUDES:%=$I%) \
-                     $T$(subst /,$(COMPILER_SEP),$@ $<) $DFT2_BUILD_LIBRARY
-
-
-  ####################################################################
-  #
-  # Special rule to compile the `ftdiff' program as it includes
-  # internal header files.

## freetype 2.9.1

=== debian/changelog ===
freetype (2.9.1-4) unstable; urgency=medium

  * debian/compat: Remove legacy file.
  * debian/control:
    - Build-Depend on debhelper-compat (version 12).
    - Raise Standards-Version to 4.4.0 (no changes needed).
    - Demote Recommends: freetype2-doc to Suggests (Closes: #919284).
  * debian/patches:
    - Add an upstream patch to properly handle phantom points for variable
      hinted fonts (Closes: #93203).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 24 Jul 2019 19:59:39 +1000

freetype (2.9.1-3) unstable; urgency=medium

  * Release to unstable.
  * libfreetype6-dev: No longer install freetype2.m4, as its functionality has
    been superseded by pkg-config.
  * libfreetype6.symbols: Specify libfreetype6-dev in the Build-Depends-Package
    meta-information field.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 22 Nov 2018 21:15:00 +1100

freetype (2.9.1-2) experimental; urgency=medium

  * debian/control:
    - Raise Standards-Version to 4.2.1 (no changes needed).
    - Add Vcs-* fields and point to Salsa.
    - Drop Pre-Depends on dpkg since the required package is in Debian Jessie.
    - Update the libfreetype6-dev package description.
  * debian/rules:
    - Use override_dh_installdocs-indep with freetype2-doc to fix FTBFS when
      only building arch:any binaries.
    - Remove 'dh_installdocs --remaining-packages' from the
      dh_installdocs-indep override as we are only building one
      architecture-independent package.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 24 Sep 2018 22:45:38 +1000

freetype (2.9.1-1) experimental; urgency=medium

  * New maintainer: Hugh McMaster
    - A big thank you to Steve Langasek for maintaining freetype over
      the past 12 years.
  * New upstream release (Closes: #901052):
    - Avoid dereferencing a NULL pointer (CVE-2018-6942) (Closes: #890450).
    - The `freetype-config' script is no longer installed by default
      (Closes: #871470, #886461). All packages depending on libfreetype6-dev
      should use pkg-config to find the relevant CFLAGS and libraries.
    - Fix unaligned access failures caused by 'mmvar' array pointers in the
      TrueType font driver (Closes: #898983).
    - Infinality patches previously integrated upstream (Closes: #698192).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debhelper package compatibility to level 11.
  * Introduce freetype2-doc:
    - Move the development documentation from libfreetype6-dev.
    - Declare Replaces+Breaks against libfreetype6-dev.
    - Update the package's doc-base registration.
    - Comment out references to fonts.googleapis.com (Closes: #873432).
    - Add a Dependency on libjs-jquery.
    - Do not install the source jQuery library. Instead, add a symlink
      to the equivalent library provided by Debian.
  * debian/changelog:
    - Remove trailing whitespace.
  * debian/control:
    - Build-Depend on debhelper version 11.
    - Remove the version requirement from the gettext Build-Dependency.
    - Remove automake and quilt from the Build-Depends list.
    - Add libjs-jquery to the Build-Depends list.
    - Raise Standards-Version from 4.0.0 to 4.2.1.
    - Use secure HTTP for the Homepage URI.
    - Update package descriptions.
    - Mark freetype2-demos Multi-Arch: foreign.
    - Rename the XC-Package-Type field to Package-Type.
  * debian/copyright:
    - Use secure HTTP in the Format and Source fields.
    - Update for FreeType 2.9.1.
  * debian/missing-sources:
    - Add source files for jquery.ba-resize.min.js and jquery-1.11.0.min.js.
  * debian/patches:
    - Convert freetype_2.8.1-2.diff into patches.
    - Remove an unused patch: enable-old-cff.patch
    - Remove freetype-config-multi-arch.patch (no longer needed).
    - Refresh other patches.
    - no-web-fonts.patch: Comment out references to fonts.googleapis.com.
    - hide-donations-information.patch: Hide donations information in the
      documentation to prevent several lintian errors.
  * debian/rules:
    - Include the /usr/share/dpkg/pkg-info.mk Makefile library instead of
      calling 'dpkg-parsechangelog'.
    - Add 'hardening=+all' to DEB_BUILD_MAINT_OPTIONS.
    - Remove special handling for libpng12.
    - Remove a legacy workaround for gcc-4.4.
    - Remove legacy 'unpack', 'patch' and 'get-orig-source' recipes.
    - Remove un-needed debhelper overrides and legacy code.
    - Copy docs/CHANGES as docs/NEWS to comply with Debian policy 12.7.
  * Update the libfreetype6 symbols file for FreeType 2.9.1.
  * Add a debian/watch file.
  * Add an upstream cryptographic signature.
  * Remove debian/freetype2-demos.dirs, debian/libfreetype6-udeb.dirs and
    debian/README.source (no longer needed).
  * Update lintian overrides for the freetype source package.
  * Add lintian overrides for freetype2-demos and freetype2-doc.
  * Convert /usr/share/doc/freetype2-demos and /usr/share/doc/libfreetype6-dev
    symlinks to directories.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 14 Jul 2018 18:57:54 +1000

freetype (2.8.1-2) unstable; urgency=high

  * debian/rules: fix SIZEOF_LONG mangling to avoid over-broad matching.
    Closes: #887087.

 -- Steve Langasek <vorlon@debian.org>  Tue, 13 Feb 2018 07:49:55 +0000

freetype (2.8.1-1) unstable; urgency=medium

  * Acknowledge NMUs; thanks to Laurent for the uploads.
    Closes: #857439, #863623.
  * debian/control:
    - Add pkg-config to the Build-Depends list (Closes: #885324).
    - Mark libfreetype6-dev Multi-Arch: same (Closes: #642354).
    - Remove the deprecated Priority: extra field from libfreetype6-udeb.
  * debian/patches/patches-*: Refresh existing patches.
  * debian/patches/patches-freetype/freetype-config-multi-arch.patch:
    - Remove the arch-dependent output of `freetype-config --libs`.
      Closes: #871470, #870618.
    - Exit with an error if freetype-config is called with --libtool.
  * debian/rules:
    - Include /usr/share/dpkg/architecture.mk.


=== debian/control ===
Source: freetype
Section: libs
Priority: optional
Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
Uploaders: Anthony Fok <foka@debian.org>, Keith Packard <keithp@keithp.com>
Build-Depends: debhelper-compat (= 12), bzip2, gettext, libx11-dev <!stage1>, x11proto-core-dev <!stage1>, libz-dev, pkg-config, libpng-dev, autoconf, libtool, libjs-jquery
Standards-Version: 4.4.0
Homepage: https://www.freetype.org
Vcs-Git: https://salsa.debian.org/debian/freetype.git
Vcs-Browser: https://salsa.debian.org/debian/freetype

Package: libfreetype6
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: FreeType 2 font engine, shared library files
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 The FreeType 2 library is their new software font engine.  It has been
 designed to provide the following important features:
  * A universal and simple API to manage font files
  * Support for several font formats through loadable modules
  * High-quality anti-aliasing
  * High portability & performance
 .
 Supported font formats include:
  * TrueType files (.ttf) and collections (.ttc)
  * Type 1 font files both in ASCII (.pfa) or binary (.pfb) format
  * Type 1 Multiple Master fonts.  The FreeType 2 API also provides
    routines to manage design instances easily
  * Type 1 CID-keyed fonts
  * OpenType/CFF (.otf) fonts
  * CFF/Type 2 fonts
  * Adobe CEF fonts (.cef), used to embed fonts in SVG documents with
    the Adobe SVG viewer plugin.
  * Windows FNT/FON bitmap fonts
 .
 This package contains the files needed to run programs that use the
 FreeType 2 library.

Package: libfreetype6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libfreetype6 (= ${binary:Version}), libc6-dev | libc-dev, zlib1g-dev | libz-dev, libpng-dev, ${misc:Depends}
Suggests: freetype2-doc (= ${binary:Version})
Description: FreeType 2 font engine, development files
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 This package contains all of the supplementary files you need to develop your
 own programs using the FreeType 2 library.

Package: freetype2-demos
Section: utils
Architecture: any
Multi-Arch: foreign
Build-Profiles: <!stage1>
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeType 2 demonstration programs
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 This package contains some demonstration programs and utilities
 that showcase the features of the FreeType 2 font engine.

Package: freetype2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, ${misc:Depends}
Replaces: libfreetype6-dev (<< 2.9.1)
Breaks: libfreetype6-dev (<< 2.9.1)
Description: FreeType 2 font engine, development documentation
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 This package contains the FreeType 2 development documentation.

Package: libfreetype6-udeb
Section: debian-installer
Architecture: any
Package-Type: udeb
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeType 2 font engine for the debian-installer
 The FreeType project is a team of volunteers who develop free,
 portable and high-quality software solutions for digital typography.
 They specifically target embedded systems and focus on providing small,
 efficient and ubiquitous products.
 .
 This is the udeb package for use with the debian-installer.

## freetype 2.10.1

=== Makefile ===
--- 
+++ 
@@ -60,10 +60,10 @@
 ifdef no_config_mk
 
   exes:
-	  @echo Please compile the library before the demo programs!
+	  $(info Please compile the library before the demo programs!)
   clean distclean:
-	  @echo "I need a path to FreeType 2's \`config.mk' to do that!"
-	  @echo "Set the \`TOP_DIR' variable to the correct value."
+	  $(info I need a path to FreeType 2's `config.mk' to do that!)
+	  $(info Set the `TOP_DIR' variable to the correct value.)
 
 else
 
@@ -98,7 +98,7 @@
     TOP_DIR_2 := $(shell cd $(TOP_DIR_2); pwd)
     ifneq ($(have_makefile),)
       BIN_DIR_2 ?= $(TOP_DIR_2)/bin
-      OBJ_DIR_2 ?= $(TOP_DIR_2)/obj
+      OBJ_DIR_2 ?= $(TOP_DIR_2)/objs
     else
       BIN_DIR_2 ?= .
       OBJ_DIR_2 ?= .
@@ -106,7 +106,7 @@
   else
     ifneq ($(have_makefile),)
       BIN_DIR_2 ?= bin
-      OBJ_DIR_2 ?= obj
+      OBJ_DIR_2 ?= objs
     else
       BIN_DIR_2 ?= .
       OBJ_DIR_2 ?= .
@@ -131,6 +131,7 @@
                   $(CFLAGS) \
                   $(ANSIFLAGS) \
                   $(INCLUDES:%=$I%) \
+                  $DFT_CONFIG_OPTIONS_H="<ftoption.h>" \
                   $DFT_CONFIG_MODULES_H="<ftmodule.h>"
 
   # Enable C99 for gcc to avoid warnings.
@@ -166,12 +167,13 @@
     LINK_CMD  = $(subst /,$(SEP),$(OBJ_BUILD)/libtool) \
                 --mode=link $(CC) \
                 $(subst /,$(COMPILER_SEP),$(LDFLAGS))
-    LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE))
+    LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE)) $(LIB_CLOCK_GETTIME)
   else
     LINK_CMD = $(CC) $(subst /,$(COMPILER_SEP),$(LDFLAGS))
     ifeq ($(PLATFORM),unixdev)
       LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE)) -lm -lrt -lz -lbz2
-      LINK_LIBS += $(shell pkg-config --libs libpng harfbuzz)
+      LINK_LIBS += $(shell pkg-config --libs libpng)
+      LINK_LIBS += $(shell pkg-config --libs harfbuzz)
     else
       LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE))
     endif
@@ -221,11 +223,11 @@
   ifdef DOSLIKE
 
     clean_demo:
-	    -del obj\*.$(SO) 2> nul
+	    -del objs\*.$(SO) 2> nul
 	    -del $(subst /,\,$(TOP_DIR_2)/src/*.bak) 2> nul
 
     distclean_demo: clean_demo
-	    -del obj\*.lib 2> nul
+	    -del objs\*.lib 2> nul
 	    -del bin\*.exe 2> nul
 
   else
@@ -421,8 +423,3 @@
 	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<) $DFT2_BUILD_LIBRARY
 
 
-  ####################################################################
-  #
-  # Special rule to compile the `ftview' program as it includes
-  # internal header files.
-  #

=== debian/changelog ===
freetype (2.10.1-2ubuntu0.4) focal-security; urgency=medium

  * SECURITY UPDATE: OOB write via font subglyph structures parsing
    - debian/patches/CVE-2025-27363.patch: make sure limit doesn't overflow
      in src/truetype/ttgload.c.
    - CVE-2025-27363
  * SECURITY UPDATE: DoS in gvar table loading (LP: #2028863)
    - debian/patches/lp2028863-dos.patch: add better checks for loading
      gvar table in src/truetype/ttgxvar.c.
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 14 Mar 2025 13:03:51 -0400

freetype (2.10.1-2ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2023-2004.patch: fix a integer overflow
      in src/truetype/ttgxvar.c.
    - CVE-2023-2004

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 02 May 2023 08:24:45 -0300

freetype (2.10.1-2ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: Heap buffer overflow in sfnt_init_face
    - debian/patches/CVE-2022-27404.patch: avoid invalid face index in
      src/sfnt/sfobjs.c.
    - CVE-2022-27404
  * SECURITY UPDATE: Segmentation violation in FNT_Size_Request
    - debian/patches/CVE-2022-27405.patch: properly guard face_index in
      src/base/ftobjs.c.
    - CVE-2022-27405
  * SECURITY UPDATE: Segmentation violation in FT_Request_Size
    - debian/patches/CVE-2022-27406.patch: guard face->size in
      src/base/ftobjs.c.
    - CVE-2022-27406
  * SECURITY UPDATE: Heap-based buffer overflow in ftbench demo
    - debian/patches/CVE-2022-31782.patch: check the number of glyphs in
      ft2demos/src/ftbench.c.
    - CVE-2022-31782

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 19 Jul 2022 11:28:34 -0400

freetype (2.10.1-2ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: heap buffer overflow via integer truncation in
    Load_SBit_Png
    - debian/patches/CVE-2020-15999.patch: Update src/sfnt/pngshim.c to
      test and reject invalid bitmap size earlier in Load_SBit_Png. Based on
      upstream patch.
    - CVE-2020-15999

 -- Alex Murray <alex.murray@canonical.com>  Tue, 20 Oct 2020 12:37:23 +1030

freetype (2.10.1-2) unstable; urgency=medium

  * Release to unstable.
  * debian/control:
    - Raise Standards-Version to 4.4.1 from 4.4.0 (no changes needed).
    - Add Rules-Requires-Root: no.
  * debian/rules:
    - Move the FreeType API Reference location to docs/reference to revert an
      incorrect upstream change introduced in FreeType 2.10.
    - Update dh_installdocs-indep path exclusion to account for the change to
      the API Reference path.
  * debian/patches:
    - Drop fix-api-reference-hyperlink.patch.
    - Add a patch to fix broken JavaScript paths in the documentation.
  * freetype2-doc:
    - Update the API Reference path in the doc-base file.
    - Update Lintian overrides.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 07 Oct 2019 23:42:48 +1100

freetype (2.10.1-1) experimental; urgency=medium

  * New upstream release.
  * libfreetype6-dev has been renamed to libfreetype-dev.
    - libfreetype6-dev is now a transitional package.
    - Please update your build dependencies accordingly.
  * debian/libfreetype6.symbols: Update for FreeType 2.10.1
    - FT_Outline_New_Internal and FT_Outline_Done_Internal have been removed.
      These functions were public by oversight only and were never documented.
    - FreeType's library soname remains unchanged.
  * debian/control:
    - freetype2-doc now Recommends fonts-noto-core.
  * debian/copyright: Update for FreeType 2.10.1.
    - Upstream removed several files in FreeType 2.10.
    - Some new files were added and have their own licences.
  * debian/patches:
    - Drop no-uninitialized-bbox.patch and compiler_hardening_fixes.patch.
      These patches were accepted upstream.
    - Drop revert-wrong-extern.patch (no longer needed).
    - Add a patch to prevent use of fonts.gstatic.com and fonts.googleapis.com
      in the FreeType 2 documentation.
    - Add a patch to fix broken hyperlinks to the FreeType API Reference.
    - Refresh all other patches.
  * debian/rules:
    - Correctly parse FreeType's release version for dh_makeshlibs.
  * freetype2-doc:
    - Most of the documentation is now located in the 'site' sub-directory
      due to an upstream change.
    - Exclude Material Icons and Font Awesome from installation.
    - Add a Lintian override to prevent warnings about duplicate favicons.
    - Update the doc-base file.
  * Add a Debian upstream metadata file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 16 Aug 2019 20:42:30 +1000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: freetype
 Section: libs
 Priority: optional
-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hugh McMaster <hugh.mcmaster@outlook.com>
 Uploaders: Anthony Fok <foka@debian.org>, Keith Packard <keithp@keithp.com>
 Build-Depends: debhelper-compat (= 12), bzip2, gettext, libx11-dev <!stage1>, x11proto-core-dev <!stage1>, libz-dev, pkg-config, libpng-dev, autoconf, libtool, libjs-jquery
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://www.freetype.org
 Vcs-Git: https://salsa.debian.org/debian/freetype.git
 Vcs-Browser: https://salsa.debian.org/debian/freetype
@@ -42,13 +44,15 @@
  This package contains the files needed to run programs that use the
  FreeType 2 library.
 
-Package: libfreetype6-dev
+Package: libfreetype-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libfreetype6 (= ${binary:Version}), libc6-dev | libc-dev, zlib1g-dev | libz-dev, libpng-dev, ${misc:Depends}
 Suggests: freetype2-doc (= ${binary:Version})
+Replaces: libfreetype6-dev (<< 2.10.1)
+Breaks: libfreetype6-dev (<< 2.10.1)
 Description: FreeType 2 font engine, development files
  The FreeType project is a team of volunteers who develop free,
  portable and high-quality software solutions for digital typography.
@@ -57,6 +61,22 @@
  .
  This package contains all of the supplementary files you need to develop your
  own programs using the FreeType 2 library.
+
+Package: libfreetype6-dev
+Architecture: any
+Multi-Arch: same
+Depends: libfreetype-dev (= ${binary:Version}), ${misc:Depends}
+Section: oldlibs
+Description: FreeType 2 font engine, development files (transitional package)
+ The FreeType project is a team of volunteers who develop free,
+ portable and high-quality software solutions for digital typography.
+ They specifically target embedded systems and focus on providing small,
+ efficient and ubiquitous products.
+ .
+ This package contains all of the supplementary files you need to develop your
+ own programs using the FreeType 2 library.
+ .
+ This is a transitional package. It can safely be removed.
 
 Package: freetype2-demos
 Section: utils
@@ -79,6 +99,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: libjs-jquery, ${misc:Depends}
+Recommends: fonts-noto-core
 Replaces: libfreetype6-dev (<< 2.9.1)
 Breaks: libfreetype6-dev (<< 2.9.1)
 Description: FreeType 2 font engine, development documentation

=== debian/rules ===
#!/usr/bin/make -f
#
# This is free software; see the GNU General Public Licence
# version 2 or later for copying conditions.  There is NO warranty.

include /usr/share/dpkg/pkg-info.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# always abort if there are any problems with the symbols file
DPKG_GENSYMBOLS_CHECK_LEVEL = 4
export DPKG_GENSYMBOLS_CHECK_LEVEL

dep_ver:= $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d '.' -f -2)

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --without-bzip2 --without-harfbuzz

override_dh_auto_build:
	sed -i '/^#[[:space:]]*define SIZEOF_LONG/s/[0-9]/__SIZEOF_LONG__/' builds/unix/ftconfig.h
	dh_auto_build
	dh_auto_build -D ft2demos -- TOP_DIR=$(CURDIR)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	sed -i -e '/dependency_libs/s/'.*'//' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libfreetype.la

override_dh_install:
	dh_install -p freetype2-demos -XREADME
	dh_install --remaining-packages

override_dh_installdocs-indep:
	mv docs/reference/site/* docs/reference
	dh_installdocs -p freetype2-doc --doc-main-package=freetype2-doc \
	    -Xreference/README \
	    -Xreference/assets/fonts \
	    -Xjs/jquery-1.11.0.min.js
	cp docs/CHANGES debian/freetype2-doc/usr/share/doc/freetype2-doc/NEWS
	cp src/pcf/README debian/freetype2-doc/usr/share/doc/freetype2-doc/pcf/

override_dh_makeshlibs:
	dh_makeshlibs -V 'libfreetype6 (>= $(dep_ver))' --add-udeb=libfreetype6-udeb
